> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Instance Real Time Logs

> Retrieve an App Instance Real Time Logs



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/apps/beta/apps/{appId}/versions/{versionId}/instances/{instanceId}/realTimeLogs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/apps/beta/apps/{appId}/versions/{versionId}/instances/{instanceId}/realTimeLogs:
    get:
      tags:
        - App instances
      summary: Get App Instance Real Time Logs
      description: Retrieve an App Instance Real Time Logs
      operationId: getAppInstanceRealTimeLogs
      parameters:
        - description: The id of the app to retrieve an instance's real time logs for.
          in: path
          name: appId
          required: true
          schema:
            type: string
        - description: >-
            The id of the app version to retrieve an instance's real time logs
            for.
          in: path
          name: versionId
          required: true
          schema:
            type: string
        - description: The id of the app instance to retrieve real time logs for.
          in: path
          name: instanceId
          required: true
          schema:
            type: string
        - description: >
            The type of log to retrieve. The available types of logs are:
            `complete` - This is the default if the value is not provided. All
            logs lines displayed in the app instance's runtime environment.
            `stdout` - Log lines displayed in the stdout of the app instance's
            runtime environment. `stderr` - Log lines displayed in the stderr of
            the app instance's runtime environment. `prepareoutput` - Log lines
            generated by the environment preparing the app instance. Defaults to
            `complete`.
          in: query
          name: logType
          required: false
          schema:
            default: complete
            enum:
              - complete
              - prepareoutput
              - stdout
              - stderr
            type: string
        - description: The maximum number of result to retrieve. Defaults to 10000.
          in: query
          name: limit
          required: false
          schema:
            default: 10000
            type: integer
        - description: The offset from the first result. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: >-
            The epoch timestamp after which to return logs in nanoseconds.
            Defaults to 0.
          in: query
          name: latestTime
          required: false
          schema:
            default: '0'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppInstanceLogsResponse'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    AppInstanceLogsResponse:
      properties:
        isComplete:
          type: boolean
        logContent:
          items:
            properties:
              log:
                type: string
              logType:
                type: string
              size:
                type: number
              timestamp:
                format: epoch
                type: number
            required:
              - timestamp
              - logType
              - log
              - size
            type: object
          type: array
        pagination:
          properties:
            latestTime:
              type: string
            limit:
              type: integer
            offset:
              type: integer
          required:
            - limit
            - offset
            - latestTime
          type: object
      required:
        - logContent
        - isComplete
        - pagination
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get App Instance Logs](/6.3/api-reference/app-instances/get-app-instance-logs.md)
- [Get Gen AI Endpoint Version Real Time Logs](/6.3/api-reference/genai/get-gen-ai-endpoint-version-real-time-logs.md)
- [Publish and deploy App versions](/6.3/platform-capabilities/features/apps/publish-and-deploy-app-versions.md)
- [Apps in Domino](/6.3/platform-capabilities/features/apps/apps-in-domino/index.md)
